<?php

/**
 * @file
 * Support for migration from files sources.
 */

/**
 * Implementation of MigrateList, for retrieving a list of IDs to be migrated
 * from a directory listing. Each item is a file, it's ID is the path.
 *
 * MigrateListFiles accepts a single directory and returns just the base name of
 *  each file as its ID, instead of the path.
 */
class WordpressMigrateListFiles extends MigrateListFiles {
  /**
   * Set it up : Initialisation.
   */
  public function __construct($folder) {
    parent::__construct(array($folder), '', '.*');
  }

  /**
   * Function to get ids of xml files from xml folder.
   */
  protected function getIDsFromFiles(array $files) {
    $ids = array();
    foreach ($files as $file) {
      $ids[] = $file->name;
    }
    return array_unique($ids);
  }
}
